// stackoverflow.com/users/325320/mr-wang-from-next-door
package iptools

import "net"

// Get preferred outbound ip of this machine
func GetOutboundIP() (string, error) {
	conn, err := net.Dial("udp", "1.0.0.1:80")
	if err != nil {
		return "", err
	}
	defer conn.Close()
	localAddr := conn.LocalAddr().(*net.UDPAddr)
	var localIp string = localAddr.IP.String()
	return localIp, nil
}
